Page MenuHomePhabricator

Move new diffs prototype to a Commtech Labs instance
Closed, ResolvedPublic1 Estimated Story Points

Description

Move Jon's prototype for improved diffs to http://commtech.wmflabs.org/, as per T121469: Improve diff compare screen

Event Timeline

DannyH created this task.Apr 11 2016, 6:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2016, 6:37 PM
DannyH updated the task description. (Show Details)Apr 11 2016, 6:37 PM
kaldari updated the task description. (Show Details)Apr 11 2016, 6:40 PM
DannyH set the point value for this task to 1.Apr 11 2016, 6:42 PM
DannyH edited projects, added Community-Tech-Sprint; removed Community-Tech.
Niharika renamed this task from Move new diffs prototype to a dedicated Labs instance to Move new diffs prototype to a Commtech Labs instance.Apr 12 2016, 2:00 PM
Niharika claimed this task.
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

I cloned @Jdlrobson's both patches on http://commtech.wmflabs.org but don't still see the changes in effect on http://commtech.wmflabs.org/wiki/Test1

Sorry for not getting back to you sooner. Try the latest uploaded patch.

The implementation was previously falling back to wikidiff2. I've updated the patchset to not to do this to avoid confusion.

Thanks! That seems to have worked! :)

Sorry for not getting back to you sooner. Try the latest uploaded patch.

Hi Jon, I see "Split view", "Unified view" and "Unified view (plain)" on the instance but I recall you showed us a diff with lines for mapping text on the side and possibly one more kind of diff view that you were playing around with. Is it possible to get it/them in the patch as well?

Testing the current version, I'm kind of at a loss to say why unified diffs are better than split diffs. It's obvious why they're better for mobile, where you don't have enough space for side-by-side columns. But on desktop, it seems like a toss-up.

Here are some examples.

Individual words changed, it's basically the same:


Longer phrases changed, I think the split diff is clearer:


Splitting one paragraph into two, the unified diff doesn't show anything:


Moving a paragraph to a different spot on the page, and changing a few words in that paragraph, it's a toss-up -- neither version flags the changed words:


So when we show this to people -- what's the benefit that we think people will get from the unified diff? What problem are we solving?

kaldari closed this task as Resolved.Apr 15 2016, 6:25 PM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Estimated to Archive on the Community-Tech board.May 3 2016, 4:20 PM